package com.caimei.components;

import com.caimei.constant.Constant;
import com.caimei.mapper.OrderMapper;
import com.caimei.mapper.PayOrderMapper;
import com.caimei.model.dto.HeliDto;
import com.caimei.model.enumerate.BizType;
import com.caimei.model.vo.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class HeliPayUtil {

    @Resource
    private PayOrderMapper payOrderMapper;
    @Resource
    private OrderMapper orderMapper;
    /*@Value("${pay.second-notify-url}")
    private String secondHandUrl;
    @Value("${pay.vip-notify-url}")
    private String superVipUrl;
    @Value("${wx.mini-app-id}")
    private String miniAppId;
    @Value("${pay.notify-url}")
    private String notifyUrl;
    @Value("${pay.union-url}")
    private String unionPay;
    @Value("${pay.vip-union-url}")
    private String vipUnionPay;
    @Value("${pay.second-union-url}")
    private String secondUnionPay;*/

    @Value("${caimei.notifyUrl}")
    private String notifyUrl;

    @Value("${wx.AppId}")
    private String appId;

    @Value("${wx.AppSecret}")
    private String appSecret;

    private final String publicCode="wx91c4152b60ca91a3";

    //小程序/公众号线上公用方法 p8 openid在自己方法传
    public AppPayPublicCreateOrderVo setOnlineValue(AppPayPublicCreateOrderVo pay, HeliDto heliDto, String payFlag, HttpHeaders headers) {
        String orderId = "";
        // 时间戳
        long time = System.currentTimeMillis() / 1000;
        String environment = "";
        if (notifyUrl.contains("18002")) {
            environment = "DEV";
        } else if (notifyUrl.contains("mall2c-b")) {
            environment = "BETA";
        }
        if ("order".equals(payFlag)) {
            //普通订单
//            pay.setP3_customerNumber(Constant.CUSTOMERNUM2);
            OrderVo order = orderMapper.findOrder(heliDto.getOrderId());
            orderId = order.getOrderNo() + "T" + time + environment;
            pay.setP9_orderAmount(heliDto.getPayAmount().toString());
            pay.setP12_notifyUrl(notifyUrl);
            String product = "采美订单" + order.getOrderNo();
            pay.setP15_goodsName(product);
            String attach = order.getOrderId() + "," + BizType.getNumByType(heliDto.getPayType())+","+heliDto.getShopOrderId();
            pay.setP18_desc(attach);
        }
        pay.setP1_bizType(BizType.getP1ByType(heliDto.getPayType()));
        pay.setP2_orderId(orderId);
        pay.setP4_payType(BizType.getP4ByType(heliDto.getPayType()));
        pay.setP10_currency("CNY");
        pay.setP14_orderIp(headers.getFirst("X-CLIENT-IP"));
        pay.setP11_appType("WXPAY");
        //成功后跳转地址
        pay.setP13_successToUrl(heliDto.getReturnUrl());
        if ("GZH".equals(heliDto.getPayType())) {
            //公众号appid
            pay.setP5_appid(publicCode);
        } else if ("XCX".equals(heliDto.getPayType())) {
            //小程序appid
            pay.setP5_appid(appId);
        }
        return pay;
    }
}
