package com.caimei.mapper;

import com.caimei.model.po.*;
import com.caimei.model.vo.CollageDetailsVo;
import com.caimei.model.vo.CouponVo;
import com.caimei.model.vo.ProductVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/12/23
 */
@Mapper
public interface CollageMapper {

    /**
     * 查找拼团商品
     * @param skuId
     * @return
     */
    CmHeheCollageProductPo findCollageProduct(Integer skuId);

    /**
     * 新增拼团记录
     * @param collage
     */
    void insertCollage(CmHeheCollagePo collage);

    /**
     * 获取拼团中的拼团
     */
    CmHeheCollagePo findCollage(Integer collageId);

    /**
     * 查找已拼成成员数量
     */
    Integer findCollageMemberNum(Integer collageId);

    /**
     * 插入拼团成员
     * @param collageMember
     */
    void insertCollageMember(CmHeheCollageMemberPo collageMember);

    /**
     * 根据订单id查询拼团数据
     * @param orderId
     * @return
     */
    CmHeheCollagePo getCollageByOrderId(Integer orderId);

    /**
     * 拼主支付订单，实际建立拼团
     * @param collage
     */
    void createCollage(CmHeheCollagePo collage);


    /**
     * 拼团详情
     * @param collageId   拼团id
     * @return
     */
    CollageDetailsVo getCollageDetails(Integer collageId);

    /**
     * 拼团完成
     * @param collage
     */
    void completeCollage(CmHeheCollagePo collage);

    /**
     * 查找拼团未支付订单
     * @param collageId
     * @return
     */
    List<Integer> findNoPayCollageOrderIds(Integer collageId);

    /**
     * 查询拼团成员订单id
     * @param collageId
     * @param userId
     * @return
     */
    Integer getMemberOrderId(@Param("collageId") Integer collageId,@Param("userId") Integer userId);

    String getUserMobileByOrderId(Integer orderId);

    List<String> getMobilesByCollageId(Integer id);
}
