package com.caimei.mapper;

import com.caimei.model.po.CmHeheCollageProductPo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/22
 */
@Mapper
public interface ProductMapper {
    /**
     * 查询所有的轮播图
     *
     * @return
     */
    List<CmHeHeImageVo> findAllImage();

    /**
     * 查询进行中的活动
     *
     * @param productId
     * @return
     */
    Integer getActivityIdByProductId(Integer productId);

    /**
     * 活动阶梯价格
     *
     * @param activityId 活动id
     * @param skuId      skuId
     * @return
     */
    List<ActivityLadderVo> getActivityLadderList(@Param("activityId") Integer activityId, @Param("skuId") Integer skuId);

    /**
     * 查询商品详情
     *
     * @param skuId
     * @return
     */
    ProductDetailsVo findProductByProductId(Integer skuId);


    /**
     * 查找商品内部优惠折扣
     * @param productId
     * @param userId
     * @return
     */
    HeHeDiscountVo findProductDiscount(@Param("productId") Integer productId, @Param("userId") Integer userId);

    /**
     * 查找拼团商品
     * @param skuId
     * @return
     */
    CmHeheCollageProductPo findCollageProduct(Integer skuId);

    /**
     * 查找商品限时特价
     * @param skuId
     * @return
     */
    BigDecimal getDiscountPrice(Integer skuId);

    Integer getActivityIdBySkuId(Integer skuId);
}
