package com.caimei.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/8/12
 */
@Data
public class CouponPo implements Serializable {
    /**
     * 优惠券id
     */
    private Integer id;

    /**
     * 优惠券金额(面值)
     */
    private BigDecimal couponAmount;

    /**
     * 优惠满减条件金额
     */
    private BigDecimal touchPrice;

    /**
     * 无门槛标记 0否 1是
     */
    private Integer noThresholdFlag;

    /**
     * 使用开始时间（有效期）
     */
    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 使用结束时间（有效期）
     */
    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 立即上架标记 0否 1是
     */
    private Integer startNowFlag;

    /**
     * 永久上架标记 0否 1是
     */
    private Integer permanentFlag;

    /**
     * 劵类型 1活动券 2专享券 3新人券 4好友分享券 5好友消费券
     */
    private Integer couponType;

    /**
     * 优惠商品：1全商城商品 2指定商品
     */
    private Integer productType;

    /**
     * 领取期限（天）
     */
    private Integer receivePeriod;

    /**
     * 领取期限同上下架时间标记（在上下架期间内都可领取）
     */
    private Integer receiveFlag;

    /**
     * 使用期限（天）
     */
    private Integer usePeriod;
}
