package com.caimei.model.vo;

import com.caimei.model.po.CmHeheCollageProductPo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/24
 */
@Data
public class CartProductVo implements Serializable {

    private Integer stock;

    private Integer skuId;
    /**
     * 购物车id
     */
    private Integer cartId;

    /**
     * 供应商id
     */
    private Integer shopId;

    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 市场价
     */
    private BigDecimal normalPrice;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 规格
     */
    private String productUnit;

    /**
     * 起订量
     */
    private Integer minBuyNumber;

    /**
     * 限购量
     */
    private Integer limitedNum;

    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础)   1增值税票，2普通票, 3不能开票
     */
    private String invoiceType;

    /**
     * 开票税点(基于不含税基础) :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;

    /**
     * 商品数量
     */
    private Integer num;

    /**
     * 分销者id
     */
    private Integer heUserId;

    /**
     * 前端选中状态
     */
    private boolean productsChecked = false;

    /**
     * 活动阶梯数据
     */
    private List<ActivityLadderVo> ladderList;

    /**
     * 活动状态:0没有活动,1活动价
     */
    private Integer activeStatus = 0;

    /**
     * 拼团状态:0没有拼团价,1拼团价
     */
    private Integer collageStatus = 0;

    /**
     * 限时特价状态:0没有限时特价,1限时特价
     */
    private Integer discountStatus = 0;

    /**
     * 优惠券标签状态：0无可用优惠券，1券后价，2优惠券信息
     */
    private Integer couponStatus = 0;

    /**
     * 券后价
     */
    private BigDecimal couponPrice = BigDecimal.ZERO;

    /**
     * 券后价对应优惠券id
     */
    private Integer couponId;

    /**
     * 原价券后价
     */
    private BigDecimal normalCouponPrice = BigDecimal.ZERO;

    /**
     * 单价未满足优惠条件，显示最小优惠条件的优惠券信息
     */
    private String couponInfo;
}

