package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/12/21
 */
@Data
public class CollageDetailsVo implements Serializable {
    /**
     * 拼团商品的skuId
     */
    private Integer skuId;
    /**
     * 拼团id
     */
    private Integer collageId;

    /**
     * 商品id
     */
    private Integer productId;

    /**
     * 订单id
     */
    private Integer orderId;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 拼团价
     */
    private BigDecimal price;

    /**
     * 市场价/原价
     */
    private BigDecimal normalPrice;

    /**
     * 总拼团人数
     */
    private Integer memberNum;

    /**
     * 已拼团人数
     */
    private Integer existNum;

    /**
     * 拼团还需人数
     */
    private Integer needNum;

    /**
     * 拼团结束时间
     */
    private Date endTime;

    /**
     * 规格
     */
    private String unit;

    /**
     * 拼团状态:0拼团中（拼主未支付） 1拼团中，2已拼成
     */
    private Integer status;

    /**
     * 单人限购量
     */
    private Integer limitedNum;

    /**
     * 不限购买量标识：1不限制，0限制
     */
    private Integer unlimitedFlag;

    /**
     * 能否分享订单:1可以，其他不行
     */
    private Integer shareFlag = 0;
}
