package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/24
 */
@Data
public class ShopVo implements Serializable {
    /**
     * 供应商id
     */
    @ApiModelProperty("供应商id")
    private Integer shopId;

    /**
     * 供应商名称
     */
    @ApiModelProperty("供应商名称")
    private String name;

    /**
     * 供应商logo
     */
    @ApiModelProperty("供应商logo")
    private String logo;

    /**
     * 购物车该供应商下总价
     */
    @ApiModelProperty("购物车该供应商下总价")
    private BigDecimal shopTotalPrice;

    /**
     * 前端选中状态
     */
    private boolean checked = false;

    /**
     * 分账号
     */
    private String splitCode;

    /**
     * 供应商下商品信息
     */
    @ApiModelProperty("供应商下商品信息")
    private List<CartProductVo> productList;
    /**
     * 能否退货  1 能 2不能
     */
    private Integer returnGoodsStutas;
    /**
     * 特殊商品退货须知提示  （取后台帮助中心id1040的数据）
     */
    private String  helpContent;
}
