package com.caimei.service;

import com.caimei.model.ResponseJson;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/25
 */
public interface OrderSubmitService {
    /**
     * 商品结算
     *
     * @param userId
     * @param cartIds      购物车ID串用逗号隔开。
     * @param productId    立即购买商品ID
     * @param skuId        立即购买商品skuId
     * @param productCount 立即购买商品数量
     * @param heUserId     用户id。
     * @param collageFlag
     * @return
     */
    ResponseJson<Map<String, Object>> orderConfirm(Integer userId, String cartIds, Integer skuId, Integer productId, Integer productCount, Integer heUserId, Integer couponId, Integer collageFlag);

    /**
     * 提交订单
     *
     * @param userId
     * @param cartType
     * @param addressId
     * @param orderInfo
     * @param payInfo
     * @return
     */
    ResponseJson<Map<String, String>> orderSubmit(Integer userId, Integer cartType, Integer addressId, Map<String, Object> discountInfo, List<Map<String, Object>> orderInfo, Map<String, Object> payInfo);

    /**
     * 分享减免
     *
     * @param userId
     * @param reductionId
     * @param shareType
     * @return
     */
    ResponseJson<Integer> shareReduction(Integer userId, Integer reductionId, Integer shareType);
}
