package com.caimei.util;

import lombok.extern.slf4j.Slf4j;
import okhttp3.*;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.protocol.HttpContext;
import sun.net.www.http.HttpClient;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.concurrent.TimeUnit;

/**
 * @author zzj
 */

@Slf4j
public class HttpClientUtil {

    public static ByteArrayInputStream sendPost(String url, String params) throws URISyntaxException, IOException {
        CloseableHttpClient client = HttpClients.createDefault();
        HttpPost httpPost = new HttpPost();
        httpPost.addHeader("Content-type","application/json;charset=UTF-8");
        httpPost.setHeader("Accept","application/json");
        URI uri = new URI(url);
        httpPost.setURI(uri);
        StringEntity entity = new StringEntity(params, "UTF-8");
        httpPost.setEntity(entity);
        CloseableHttpResponse response = client.execute(httpPost, (HttpContext) null);
        HttpEntity responseEntity = response.getEntity();
        InputStream inputStream = responseEntity.getContent();
        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
        byte[] buffer = new byte[1024];
        int len = 0;
        while ((len = inputStream.read(buffer)) != -1) {
            outputStream.write(buffer, 0, len);
        }
        inputStream.close();
        ByteArrayInputStream byteInputStream = new ByteArrayInputStream(outputStream.toByteArray());
        outputStream.flush();
        outputStream.close();
        return byteInputStream;

    }

}
