package com.caimei.util;

import com.alibaba.fastjson.JSONObject;
import com.caimei.config.EnvBeanUtil;
import com.caimei.util.message.InsideMessage;
import com.caimei.util.message.MessageModel;
import com.caimei.util.message.MqInfo;
import com.caimei.util.message.WechatTemplateMessage;
import com.caimei.util.message.enums.MessageType;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.apache.http.client.utils.DateUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Date;
@Component
public class MessageUtil {
    protected static Logger logger = LoggerFactory.getLogger(MessageUtil.class);

    public static void sendMessage(MessageModel model) {
        try {
            String coreServer = EnvBeanUtil.getConfig("caimei.cloudApi");
            String url = coreServer + "/tools/message/send";
            logger.info("url>>>>" + url);
            String result = HttpRequest.sendPost(url, new ObjectMapper().writeValueAsString(model),"application/json");
            JSONObject parseObject = JSONObject.parseObject(result);
            Integer code = parseObject.getInteger("code");
            if (code != 0) {
                logger.info("审批消息推送失败>>>>" + model.info());
            }else {
                logger.info("审批消息推送成功>>>>" + model.info());
            }
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("审批消息推送失败>>>" + e);
        }
    }

    public static void main(String[] args) {


//         //微信模板消息
//         ArrayList<String> keyWords = new ArrayList<>();
//         keyWords.add("name"+"...等"+7+"家机构客户");
//         keyWords.add("pageLabel");
//         keyWords.add("2023-09-18");
//         MessageModel<WechatTemplateMessage> wechatTemplateMessageMessageModel = new MessageModel<WechatTemplateMessage>()
//                 .code(MessageType.WECHAT_TEMPLATE_MESSAGE)
//                 .mqInfo(new MqInfo().topic("MessageLine").delay(3).async(0))
//                 .info(new WechatTemplateMessage()
//                         .first("")
// //                        .openId("o9nzn5yD6IOcFuhG4b3OG1droVJw")
// //                        .openId("o9nzn51aTKY5u26FDoD5zf0wU6UM")
//                         .openId("o9nzn581OysHNNsDwJJlzKpWoQ4o")
//                         .appid("wxf3cd4ae0cdd11c36")
//                         .templateId("Zd7ewJw9-bN-gIgra9flKW96W3YehikRPPkDXPfhmQ0")
//                         .keyWords(keyWords)
//                         .remark("为了更好给您服务，请及时联系采美客服!")
//                         .pagePath("pages/seller/notice/service/Institutional_visits?spId="+1340+"&accDateTime="+"2023-09-18"));
// //                        .pagePath("pages/seller/notice/service/visits_details?spId="+1340+"&clubId="+"99930"+"&accessTime="+"2023-09-18"));
//         sendMessage(wechatTemplateMessageMessageModel);
//        //站内信
//        MessageModel<InsideMessage> insideMessageMessageModel = new MessageModel<>();
//        insideMessageMessageModel.code(MessageType.WEB_INSIDE_MESSAGE)
//                .mqInfo(new MqInfo().topic("MessageLine").delay(3).async(1))
//                .info(new InsideMessage()
//                        .userType(4)
//                        .messageType(1)
//                        .orderMessageType(7)
//                        .content("pageLabel")
//                        .orderId(1)
//                        .thisId(1381)
//                );
//        sendMessage(insideMessageMessageModel);

    }

}
